# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename strip-path

Name:               nodejs-strip-path
Version:            1.0.0
Release:            2%{?dist}
Summary:            Strip a path from a path

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/strip-path
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
Strip a path from a path

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-path
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/strip-path

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha
%endif


%files
# No license file:  https://github.com/sindresorhus/strip-path/issues/1
%doc readme.md
%{nodejs_sitelib}/strip-path/

%changelog
* Mon Dec 01 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-2
- Declare noarch, fixes rhbz#1123624.

* Mon Aug 18 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Latest upstream.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 0.1.1-2
- Clarified arch
- Included readme file.
- Filed bug requesting license file.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- Initial packaging for Fedora.
